Does snow leopard support appleworks 6? (leopard does)    thanks  dc

Back To Product

Follow this Question

2 Answers from the Community

  • Best Answer:

    10.4 is the last OS to run Appleworks. Using 10.5 or 10.6 slows it down. 10.7 kills it.

    Was this useful? Answer 1

    4 of 5 people found this useful

  • It worked fine for me with Leopard,,,, isn't working for me with Lion.

    Was this useful? Answer 2

    1 of 1 people found this useful

Related Questions